CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Entropymine » Imageworsener » 1.3.0 : Security Vulnerabilities Published In 2017

Cpe Name:cpe:/a:entropymine:imageworsener:1.3.0
Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
1 CVE-2017-9094 835 DoS 2017-05-19 2019-10-02
4.3
None Remote Medium Not required None None Partial
The lzw_add_to_dict function in imagew-gif.c in libimageworsener.a in ImageWorsener 1.3.1 allows remote attackers to cause a denial of service (infinite loop) via a crafted image.
2 CVE-2017-9093 835 DoS 2017-05-19 2019-10-02
4.3
None Remote Medium Not required None None Partial
The my_skip_input_data_fn function in imagew-jpeg.c in libimageworsener.a in ImageWorsener 1.3.1 allows remote attackers to cause a denial of service (infinite loop) via a crafted image.
3 CVE-2017-8327 400 DoS 2017-04-29 2019-10-02
7.1
None Remote Medium Not required None None Complete
The bmpr_read_uncompressed function in imagew-bmp.c in libimageworsener.a in ImageWorsener before 1.3.1 allows remote attackers to cause a denial of service (memory consumption) via a crafted image.
4 CVE-2017-8326 682 DoS 2017-04-29 2019-10-02
6.8
None Remote Medium Not required Partial Partial Partial
libimageworsener.a in ImageWorsener before 1.3.1 has "left shift cannot be represented in type int" undefined behavior issues, which might allow remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact via a crafted image, related to imagew-bmp.c and imagew-util.c.
5 CVE-2017-8325 119 DoS Overflow 2017-04-29 2019-09-16
6.8
None Remote Medium Not required Partial Partial Partial
The iw_process_cols_to_intermediate function in imagew-main.c in libimageworsener.a in ImageWorsener before 1.3.1 allows remote attackers to cause a denial of service (heap-based buffer overflow and application crash) or possibly have unspecified other impact via a crafted image.
6 CVE-2017-7962 369 DoS 2017-04-19 2019-09-16
4.3
None Remote Medium Not required None None Partial
The iwgif_read_image function in imagew-gif.c in libimageworsener.a in ImageWorsener 1.3.0 allows remote attackers to cause a denial of service (divide-by-zero error and application crash) via a crafted file.
7 CVE-2017-7940 400 2017-04-18 2019-09-16
4.3
None Remote Medium Not required None None Partial
The iw_read_gif_file function in imagew-gif.c in libimageworsener.a in ImageWorsener 1.3.0 allows remote attackers to consume an amount of available memory via a crafted file.
8 CVE-2017-7939 125 DoS 2017-04-18 2019-10-02
4.3
None Remote Medium Not required None None Partial
The read_next_pam_token function in imagew-pnm.c in libimageworsener.a in ImageWorsener 1.3.0 allows remote attackers to cause a denial of service (stack-based buffer over-read) via a crafted file.
9 CVE-2017-7624 772 2017-04-10 2019-10-02
4.3
None Remote Medium Not required None None Partial
The iw_read_bmp_file function in imagew-bmp.c in libimageworsener.a in ImageWorsener 1.3.0 allows remote attackers to consume an amount of available memory via a crafted file.
10 CVE-2017-7623 125 DoS 2017-04-10 2019-10-02
4.3
None Remote Medium Not required None None Partial
The iwmiffr_convert_row32 function in imagew-miff.c in libimageworsener.a in ImageWorsener 1.3.0 allows remote attackers to cause a denial of service (heap-based buffer over-read) via a crafted file.
11 CVE-2017-7454 125 DoS 2017-04-05 2019-10-02
4.3
None Remote Medium Not required None None Partial
The iwgif_record_pixel function in imagew-gif.c in libimageworsener.a in ImageWorsener 1.3.0 allows remote attackers to cause a denial of service (heap-based buffer over-read) via a crafted file.
12 CVE-2017-7453 476 DoS 2017-04-05 2019-09-16
4.3
None Remote Medium Not required None None Partial
The iwgif_record_pixel function in imagew-gif.c in libimageworsener.a in ImageWorsener 1.3.0 allows remote attackers to cause a denial of service (NULL pointer dereference) via a crafted file.
13 CVE-2017-7452 476 DoS 2017-04-05 2019-09-16
4.3
None Remote Medium Not required None None Partial
The iwbmp_read_info_header function in imagew-bmp.c in libimageworsener.a in ImageWorsener 1.3.0 allows remote attackers to cause a denial of service (NULL pointer dereference) via a crafted file.
Total number of vulnerabilities : 13   Page : 1 (This Page)
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.